package F5::Enum::ViolRatingCriteria;
use constant VIOL_RATING_CRITERIA_IP_ADD => 0;
use constant VIOL_RATING_CRITERIA_IP_REP => 1;
use constant VIOL_RATING_CRITERIA_SIGS_NUM => 2;
use constant VIOL_RATING_CRITERIA_SIGS_RANK => 3;
use constant VIOL_RATING_CRITERIA_SIGS_SAME_CATEGORY => 4;
use constant VIOL_RATING_CRITERIA_SIGS_COMBINATION => 5;
use constant VIOL_RATING_CRITERIA_SIGS_METACHARS_COMBINATION => 6;
use constant VIOL_RATING_CRITERIA_METACHARS_NUM => 7;
use constant VIOL_RATING_CRITERIA_ILLEGAL_PARAM => 8;
use constant VIOL_RATING_CRITERIA_EVASION_TYPE => 9;
use constant VIOL_RATING_CRITERIA_NON_RFC => 10;
use constant VIOL_RATING_CRITERIA_RESPONSE_STATUS => 11;
use constant VIOL_RATING_CRITERIA_COOKIE_RFC => 12;
use constant VIOL_RATING_CRITERIA_CSRF => 13;
use constant VIOL_RATING_CRITERIA_MAX => 14;

our %as_string = (
  VIOL_RATING_CRITERIA_COOKIE_RFC() => 'VIOL_RATING_CRITERIA_COOKIE_RFC',
  VIOL_RATING_CRITERIA_CSRF() => 'VIOL_RATING_CRITERIA_CSRF',
  VIOL_RATING_CRITERIA_EVASION_TYPE() => 'VIOL_RATING_CRITERIA_EVASION_TYPE',
  VIOL_RATING_CRITERIA_ILLEGAL_PARAM() => 'VIOL_RATING_CRITERIA_ILLEGAL_PARAM',
  VIOL_RATING_CRITERIA_IP_ADD() => 'VIOL_RATING_CRITERIA_IP_ADD',
  VIOL_RATING_CRITERIA_IP_REP() => 'VIOL_RATING_CRITERIA_IP_REP',
  VIOL_RATING_CRITERIA_MAX() => 'VIOL_RATING_CRITERIA_MAX',
  VIOL_RATING_CRITERIA_METACHARS_NUM() => 'VIOL_RATING_CRITERIA_METACHARS_NUM',
  VIOL_RATING_CRITERIA_NON_RFC() => 'VIOL_RATING_CRITERIA_NON_RFC',
  VIOL_RATING_CRITERIA_RESPONSE_STATUS() => 'VIOL_RATING_CRITERIA_RESPONSE_STATUS',
  VIOL_RATING_CRITERIA_SIGS_COMBINATION() => 'VIOL_RATING_CRITERIA_SIGS_COMBINATION',
  VIOL_RATING_CRITERIA_SIGS_METACHARS_COMBINATION() => 'VIOL_RATING_CRITERIA_SIGS_METACHARS_COMBINATION',
  VIOL_RATING_CRITERIA_SIGS_NUM() => 'VIOL_RATING_CRITERIA_SIGS_NUM',
  VIOL_RATING_CRITERIA_SIGS_RANK() => 'VIOL_RATING_CRITERIA_SIGS_RANK',
  VIOL_RATING_CRITERIA_SIGS_SAME_CATEGORY() => 'VIOL_RATING_CRITERIA_SIGS_SAME_CATEGORY',
);
1;