package F5::ASMConfig::Entity::ThreatCampaign;

use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::ThreatCampaign);

use strict;
use warnings;

use F5::NegativeSignatures::Rule;


sub before_store {
    my($self, %params) = @_;
    my $store_obj = $params{store_obj};

    if ($store_obj->{match_rules}) {
        for my $match_rule (@{$store_obj->{match_rules}}) {
            $match_rule->{buffer_type_mask} = F5::NegativeSignatures::Rule->new(rule_string => $match_rule->{rule})->buffer_type_mask;
        }
    }
}


1;
